Skip to content

Loading…

Fixed "Strict Standards" warning on the process_payment() declaration. #3523

Merged
merged 1 commit into from

3 participants

@themesquad

Fixed "Strict Standards" warning on the process_payment() method declaration of the WP_Payment_Gateway class.
The warning is thrown on WordPress 3.6 RC2.

@mikejolley mikejolley merged commit f67f485 into woothemes:master
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Commits on Jul 24, 2013
  1. @juanjo-themesquad

    Fixed "Strict Standards" warning on the process_payment() declaration…

    juanjo-themesquad committed
    … of the WP_Payment_Gateway class.
Showing with 2 additions and 1 deletion.
  1. +2 −1 includes/abstracts/abstract-wc-payment-gateway.php
View
3 includes/abstracts/abstract-wc-payment-gateway.php
@@ -144,10 +144,11 @@ function set_current() {
*
* Process the payment. Override this in your gateway.
*
+ * @param int $order_id
* @access public
* @return void
*/
- function process_payment() {}
+ function process_payment( $order_id ) {}
/**
Something went wrong with that request. Please try again.